Get Inverter
curl --request GET \
--url https://api.example.com/inverters/{inverter_id}import requests
url = "https://api.example.com/inverters/{inverter_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inverters/{inverter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/inverters/{inverter_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/inverters/{inverter_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/inverters/{inverter_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/inverters/{inverter_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyInverters
Get Inverter
Retrieve a single inverter by its workspace-scoped ID
GET
/
inverters
/
{inverter_id}
Get Inverter
curl --request GET \
--url https://api.example.com/inverters/{inverter_id}import requests
url = "https://api.example.com/inverters/{inverter_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/inverters/{inverter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/inverters/{inverter_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/inverters/{inverter_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/inverters/{inverter_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/inverters/{inverter_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyGET /inverters/
Fetch the full details of a specific inverter, including its parsed properties and efficiency curve data.Notes
- Requires a valid JWT with read access to the workspace.
inverter_idis the workspace-scoped sequential index (not the internal database ID or the global Snowflake ID).- Returns
404if no inverter with the given ID exists in the current workspace. - The response includes
inverterId,globalInverterId,name,properties, and optionallyefficiency. - To list all inverters in the workspace, use
GET /inverters.
